Subject: linux-next: manual merge of the apparmor tree with the libcrypto tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 4 Jul 2025 15:36:30 +1000

Hi all,

Today's linux-next merge of the apparmor tree got a conflict in:

  security/apparmor/crypto.c

between commit:

  ad7ca74e1c60 ("apparmor: use SHA-256 library API instead of crypto_shash API")

from the libcrypto tree and commit:

  e9ed1eb8f621 ("apparmor: use SHA-256 library API instead of crypto_shash API")

from the apparmor tree.

I fixed it up (I used the former version since it appears to be much
newer) and can carry the fix as necessary. This is now fixed as far as
linux-next is concerned, but any non trivial conflicts should be mentioned
to your upstream maintainer when your tree is submitted for merging.
You may also want to consider cooperating with the maintainer of the
conflicting tree to minimise any particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell